diff options
author | Tibor Frank <tifrank@cisco.com> | 2017-06-20 13:57:08 +0200 |
---|---|---|
committer | Tibor Frank <tifrank@cisco.com> | 2017-06-29 12:17:28 +0000 |
commit | 6721e7f09aa95bff6622068332a3f56afad9c87b (patch) | |
tree | 37ef7f40e53f740a62830ab46142aa87342dc56b /TLDK-tests/tldk_scripts | |
parent | 859157b5db45927c7b4bb0b2d575e68805777a86 (diff) |
CSIT-687: Directory structure reorganization
Change-Id: I772c9e214be2461adf58124998d272e7d795220f
Signed-off-by: Tibor Frank <tifrank@cisco.com>
Signed-off-by: Maciek Konstantynowicz <mkonstan@cisco.com>
Diffstat (limited to 'TLDK-tests/tldk_scripts')
-rwxr-xr-x | TLDK-tests/tldk_scripts/install_tldk.sh | 57 | ||||
-rwxr-xr-x | TLDK-tests/tldk_scripts/run_tldk.sh | 53 |
2 files changed, 0 insertions, 110 deletions
diff --git a/TLDK-tests/tldk_scripts/install_tldk.sh b/TLDK-tests/tldk_scripts/install_tldk.sh deleted file mode 100755 index 0cc65f949e..0000000000 --- a/TLDK-tests/tldk_scripts/install_tldk.sh +++ /dev/null @@ -1,57 +0,0 @@ -#!/bin/bash - -set -x - -DPDK_VERSION=16.11.1 - -ROOTDIR=/tmp/TLDK-testing -PWDDIR=$(pwd) -DPDK_DIR=dpdk -DPDK_PACKAGE=${DPDK_DIR}"-"${DPDK_VERSION}.tar.xz - -# compile and install the DPDK -cd ${ROOTDIR} -sudo tar xvf ${DPDK_PACKAGE} -sudo mv dpdk-stable-${DPDK_VERSION} dpdk -echo $PWD -echo ${DPDK_PACKAGE} -cd ./${DPDK_DIR} -sudo sed -i 's/^CONFIG_RTE_LIBRTE_PMD_PCAP=n/CONFIG_RTE_LIBRTE_PMD_PCAP=y/g' ./config/common_base -sudo make install T=x86_64-native-linuxapp-gcc -cd ${PWDDIR} - -# compile the TLDK -export RTE_SDK=${ROOTDIR}/${DPDK_DIR}/ -export RTE_TARGET=x86_64-native-linuxapp-gcc -cd ${ROOTDIR}/tldk -make all -cd ${PWDDIR} - -sudo killall -9 l4fwd 2>/dev/null - -sleep 5 - -pid=`pgrep l4fwd` -if [ "$pid" != "" ]; then - echo "terminate the l4fwd failed!" - exit 1 -fi - -# check and setup the hugepages -SYS_HUGEPAGE=$(cat /sys/kernel/mm/hugepages/hugepages-2048kB/nr_hugepages) -if [ ${SYS_HUGEPAGE} -lt 1024 ]; then - MOUNT=$(mount | grep /mnt/huge) - while [ "${MOUNT}" != "" ] - do - sudo umount /mnt/huge - sleep 1 - MOUNT=$(mount | grep /mnt/huge) - done - - echo 1024 | sudo tee /sys/devices/system/node/node0/hugepages/hugepages-2048kB/nr_hugepages - echo 1024 | sudo tee /sys/devices/system/node/node1/hugepages/hugepages-2048kB/nr_hugepages - - sudo mkdir -p /mnt/huge - sudo mount -t hugetlbfs nodev /mnt/huge/ - test $? -eq 0 || exit 1 -fi diff --git a/TLDK-tests/tldk_scripts/run_tldk.sh b/TLDK-tests/tldk_scripts/run_tldk.sh deleted file mode 100755 index 0f56f02dfc..0000000000 --- a/TLDK-tests/tldk_scripts/run_tldk.sh +++ /dev/null @@ -1,53 +0,0 @@ -#!/bin/bash - -set -x - -ROOTDIR=/tmp/TLDK-testing -PWDDIR=$(pwd) - -rx_file=$1 -tx_file=$2 -nic_pci=$3 -fe_cfg=$4 -be_cfg=$5 -IPv4_addr=$6 -IPv6_addr=$7 - -echo $IPv4_addr - -#kill the l4fwd -sudo killall -9 l4fwd 2>/dev/null - -sleep 2 - -pid=`pgrep l4fwd` -if [ "$pid" != "" ]; then - echo "terminate the l4fwd failed!" - exit 1 -fi - -#mount the hugepages again -sudo umount /mnt/huge -sudo mount -t hugetlbfs nodev /mnt/huge/ -test $? -eq 0 || exit 1 - -sleep 2 - -#run the l4fwd with tag U -# need to install libpcap, libpcap-dev to use --vdev -cd ${ROOTDIR} -if [ "$IPv6_addr" == "NONE" ]; then -sudo sh -c "nohup ./tldk/x86_64-native-linuxapp-gcc/app/l4fwd --lcore='0' \ - -n 2 --vdev 'eth_pcap1,rx_pcap=${rx_file},tx_pcap=${tx_file}' \ - -b ${nic_pci} -- -P -U -R 0x1000 -S 0x1000 -s 0x20 -f ${fe_cfg} -b ${be_cfg} \ - port=0,lcore=0,rx_offload=0,tx_offload=0,ipv4=${IPv4_addr} &" -elif [ "$IPv4_addr" == "NONE" ]; then -sudo sh -c "nohup ./tldk/x86_64-native-linuxapp-gcc/app/l4fwd --lcore='0' \ - -n 2 --vdev 'eth_pcap1,rx_pcap=${rx_file},tx_pcap=${tx_file}' \ - -b ${nic_pci} -- -P -U -R 0x1000 -S 0x1000 -s 0x20 -f ${fe_cfg} -b ${be_cfg} \ - port=0,lcore=0,rx_offload=0,tx_offload=0,ipv6=${IPv6_addr} &" -fi - -cd ${PWDDIR} - -sleep 10 |